<?php

	include_once ("_dirinfo.php");
	include_once (PATH_TO_ROOT."init.php");
	include_once (PATH_TO_ROOT."_ajaxManipulators/_class/class.gridData.php");
	include_once(PATH_TO_ROOT."config.php");


	class telLogManipulator extends GridDataManipulator
	{
		public function selectAction()
		{
			// pripravljeno, ce bo treba kdaj kaj manipulirati s podatki...

			return parent::selectAction();
		}
	}



	$db->ChangeDatabase($_POST['database']);


	$manipulator = new telLogManipulator($db,$_POST['RMtable']);

	$comm = $_REQUEST['action'].'Action';
	if(method_exists($manipulator,$comm))
		echo $manipulator->$comm();
	else
	{
		echo '{success:false,error:"Unknown action!"}';
	}


?>
